
import 'dart:async';

import 'package:flutter/services.dart';

class AliRealPerson {
  static const MethodChannel _channel =
      const MethodChannel('flt_ali_real_person');
  static Function _callBack;

  static Future<dynamic> _handler(MethodCall methodCall) {
    if ("onRPResult" == methodCall.method) {
      print("onRPResult: " + methodCall.arguments);
      _callBack(methodCall.arguments);
    }
    return Future.value(true);
  }

  static Future<Null> startRealPerson(token, callBack) async {
    _channel.setMethodCallHandler(_handler);
    _callBack = callBack;
    await _channel.invokeMethod('startRP', token);
  }
  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
}
