import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:flt_ali_real_person/flt_ali_real_person.dart';

void main() {
  const MethodChannel channel = MethodChannel('flt_ali_real_person');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await FltAliRealPerson.platformVersion, '42');
  });
}
